Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# AVStreams::VDev Interface Reference

Implements the VDev interface. One of these is created per connection, and represents device-specific parameters. More...

`#include <AVStreams.idl>`

Inheritance diagram for AVStreams::VDev

[legend]
Collaboration diagram for AVStreams::VDev:

[legend]
List of all members.

## Public Methods
boolean | set_peer (in StreamCtrl the_ctrl, in VDev the_peer_dev, inout streamQoS the_qos, in flowSpec the_spec) raises (noSuchFlow, QoSRequestFailed, streamOpFailed)
| Called to tell the vdev who the streamctrl, peer vdev is.
boolean | set_Mcast_peer (in StreamCtrl the_ctrl, in MCastConfigIf a_mcastconfigif, inout streamQoS the_qos, in flowSpec the_spec) raises (noSuchFlow, QoSRequestFailed, streamOpFailed)
| Used to set the streamctrl and multicast device.
void | configure (in CosPropertyService::Property the_config_mesg) raises (PropertyException, streamOpFailed)
| Called by the peer VDev to configure the device (catch all).
void | set_format (in string flowName, in string format_name) raises (notSupported)
| Uses <formatName> standardised by OMG and IETF Used to set a format on a flowname.
void | set_dev_params (in string flowName, in CosPropertyService::Properties new_params) raises (PropertyException, streamOpFailed)
| Used to set device parameters.
boolean | modify_QoS (inout streamQoS the_qos, in flowSpec the_spec) raises (noSuchFlow, QoSRequestFailed)
| Called to change QoS of the device.

## Detailed Description

Implements the VDev interface. One of these is created per connection, and represents device-specific parameters.

## Member Function Documentation

void AVStreams::VDev::configure ( | in CosPropertyService::Property the_config_mesg ) raises (PropertyException, streamOpFailed)

| Called by the peer VDev to configure the device (catch all).

boolean AVStreams::VDev::modify_QoS ( | inout streamQoS the_qos,
| in flowSpec the_spec ) raises (noSuchFlow, QoSRequestFailed)

| Called to change QoS of the device.

boolean AVStreams::VDev::set_Mcast_peer ( | in StreamCtrl the_ctrl,
| in MCastConfigIf a_mcastconfigif,
| inout streamQoS the_qos,
| in flowSpec the_spec ) raises (noSuchFlow, QoSRequestFailed, streamOpFailed)

| Used to set the streamctrl and multicast device.

void AVStreams::VDev::set_dev_params ( | in string flowName,
| in CosPropertyService::Properties new_params ) raises (PropertyException, streamOpFailed)

| Used to set device parameters.

void AVStreams::VDev::set_format ( | in string flowName,
| in string format_name ) raises (notSupported)

| Uses <formatName> standardised by OMG and IETF Used to set a format on a flowname.

boolean AVStreams::VDev::set_peer ( | in StreamCtrl the_ctrl,
| in VDev the_peer_dev,
| inout streamQoS the_qos,
| in flowSpec the_spec ) raises (noSuchFlow, QoSRequestFailed, streamOpFailed)

| Called to tell the vdev who the streamctrl, peer vdev is.

The documentation for this interface was generated from the following file:

- AVStreams.idl